import { Component, OnInit } from '@angular/core';
import { ServicesComponent } from '../services/services.component';
import { Service, WidjetService } from '../services/widjet.service';
import { CommonModule } from '@angular/common';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-layout-widjet',
  standalone: true,
  imports: [CommonModule, ServicesComponent],
  templateUrl: './layout-widjet.component.html',
  styleUrls: ['./layout-widjet.component.css']
})
export class LayoutWidjetComponent implements OnInit {
  appName = ""
  widjetId = 0
  widgetList: Service[] = []
  constructor(private widjetService: WidjetService, private readonly activatedRoute: ActivatedRoute) {
    this.activatedRoute.paramMap.subscribe(result => {
      this.appName = result.get('appName')!
      this.widgetList = this.widjetService.widjetConfig.filter(e => e.appName == this.appName)[0].widjet
    })

  }

  ngOnInit() {
  }

}
